<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/top_ab"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:ignore="MissingConstraints">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:titleTextColor="@color/white" >
            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:id="@+id/back_iv"
                android:src="@drawable/ic_action_back"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="本机App列表"
                android:textSize="18sp"
                android:textColor="@color/white"/>
        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/top_ab"
            android:paddingStart="5dp"
            android:paddingEnd="5dp"
            android:id="@+id/recyclerview"/>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/one_ly"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/recyclerview"
        android:orientation="vertical">
        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:background="#DDDDDD"/>
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="获取所有app列表失败 你可以："
            android:layout_marginTop="10dp"
            android:textStyle="bold"
            android:layout_marginStart="10dp"
            android:textColor="@color/black"
            android:gravity="center_vertical"/>
        <ImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            android:src="@mipmap/get_list"
            android:adjustViewBounds="true"/>
    </androidx.appcompat.widget.LinearLayoutCompat>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:layout_below="@id/top_ab"
            android:gravity="center"
            android:id="@+id/loading_ly"
            android:orientation="vertical">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:indeterminateDrawable="@drawable/pass_word_bg1" />

        </LinearLayout>

</RelativeLayout>